from importlib.metadata import entry_points
from setuptools import setup, find_packages

setup(
    name='tileos-welcome',
    version='0.9.0',
    description='welcome app for TileOS',
    license='GPL-3',
    author='Aleksey Samoilov',
    author_email='samoilov.lex@gmail.com',
    url='https://gitlab.com/tile-os/tileos-welcome',
    packages=find_packages(),
    include_package_data=True,
    package_data={"": ["resources/*", "ui/*"]},
    data_files=[
        ('share/applications', ['tileos_welcome/resources/tileos-welcome.desktop']),
        ('share/icons/hicolor/scalable/apps', ['tileos_welcome/resources/tileos-logo.svg']),
    ],
    install_requires=[],
    entry_points={
        'gui_scripts': [
            'tileos-welcome = tileos_welcome.main:main'
        ]
    }
)
